Obsolencia programada : Aplicaciones AppStore dejan de funcionar en IPhone 3G y anteriores

Las aplicaciones compiladas con la ultima versión del kit de desarrollo de Apple, han dejado de funcionar en IPhone 3G y anteriores. También han ocurrido hechos similares con el IPad.

El motivo no es otro que una estrategia de Apple para que la gente compre nuevos dispositivos. Teniendo en cuenta que el IPhone 3G es relativamente reciente (lanzado a finales de 2009), me parece un motivo de peso para NO COMPRAR PRODUCTOS APPLE.

La última versión de XCode (4.5) no soporta la arquitectura IPhone 3G y anteriores. Así que directamente no se puede compilar. Aún se pueden usar versiones antiguas del compilador, pero se pierden matices de seguridas e innovación para quien compile con versiones viejas.

No os confundais. Las aplicaciones antiguas no dejan de funcionar. Pero no podrás ni instalar actualizaciones ni re-instalar aplicaciones que te borres y no tengan la aplicacion antigua en el APP Store.

Algunas de las aplicaciones mas destacas que han comenzado a fallar es WhatsApp como bien explican en su blog http://blog.whatsapp.com/index.php/2012/12/iphone3g/

En otras como Facebook no se puede acceder a la ultima actualización.

Esto a mi juicio da mas motivos para confiar en entornos abiertos como Android. Aún esta Apple a tiempo de dar marcha atras y actualizar el IOS de sus dispositivos mas antiguos.

Post to Twitter

This entry was posted in Hardware, Movil, Noticias and tagged , , , , , . Bookmark the permalink.

Deja un comentario

Tu dirección de correo electrónico no será publicada.